=== added file 'm4/pandora_have_libcurl.m4'
--- m4/pandora_have_libcurl.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_libcurl.m4	2010-07-04 23:18:22 +0000
@@ -0,0 +1,62 @@
+dnl Copyright (C) 2010 Monty Taylor
+dnl This file is free software;  Monty Taylor
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+AC_DEFUN([_PANDORA_SEARCH_LIBCURL],[
+  AC_REQUIRE([AC_LIB_PREFIX])
+
+  dnl --------------------------------------------------------------------
+  dnl  Check for libcurl
+  dnl --------------------------------------------------------------------
+
+  AC_ARG_ENABLE([libcurl],
+    [AS_HELP_STRING([--disable-libcurl],
+      [Build with libcurl support @<:@default=on@:>@])],
+    [ac_enable_libcurl="$enableval"],
+    [ac_enable_libcurl="yes"])
+
+  AS_IF([test "x$ac_enable_libcurl" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(curl,,
+      [#include <curl/curl.h>],
+      [
+        CURL *handle;
+        handle=curl_easy_init();
+      ])
+    ],[
+      ac_cv_libcurl="no"
+    ])
+
+  AC_CACHE_CHECK([if libcurl has CURLOPT_USERNAME],
+                 [pandora_cv_curl_have_username],[
+     AC_COMPILE_IFELSE([
+       AC_LANG_PROGRAM(
+         [[
+           CURL *handle;
+           handle=curl_easy_init();
+           rv= curl_easy_setopt(curl_handle, CURLOPT_USERNAME, "foo");
+         ]])],
+       [pandora_cv_curl_have_username=yes],
+       [pandora_cv_curl_have_username=no])
+     ])
+
+  AM_CONDITIONAL(HAVE_LIBCURL,[test "x${ac_cv_libcurl}" = "xyes"])
+  AS_IF([test "x$pandora_cv_curl_have_username" = "xyes"],
+        AC_DEFINE([HAVE_CURLOPT_USERNAME],[1],
+                  [Does libcurl provide the CURLOPT_USERNAME constant]))
+
+])
+
+AC_DEFUN([PANDORA_HAVE_LIBCURL],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBCURL])
+  AS_IF([test "x${ac_cv_libcurl}" = "xno"],[
+    AC_MSG_WARN([libcurl development lib not found. On Debian this is found in libcurl4-gnutls-dev. On RHEL5/Fedora11 it's in curl-devel. On RHEL6/Fedora12 it's in libcurl-devel.])
+  ])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBCURL],[
+  PANDORA_HAVE_LIBCURL($1)
+  AS_IF([test "x${ac_cv_libcurl}" = "xno"],[
+    AC_MSG_ERROR([libcurl is required for ${PACKAGE}])
+  ])
+])

=== modified file 'plugin/auth_http/plugin.ac'
--- plugin/auth_http/plugin.ac	2010-03-12 21:57:35 +0000
+++ plugin/auth_http/plugin.ac	2010-07-04 23:18:22 +0000
@@ -1,24 +1,4 @@
-AC_LIB_HAVE_LINKFLAGS(curl,,
-  [#include <curl/curl.h>],
-  [
-    CURL *handle;
-    handle=curl_easy_init();
-  ])
+PANDORA_HAVE_LIBCURL
 AS_IF([test "x$ac_cv_libcurl" = "xno"],
-  AC_MSG_WARN([libcurl development lib not found: not building auth_http plugin. On Debian this is found in libcurl4-gnutls-dev. On RHEL5/Fedora11 it's in curl-devel. On RHEL6/Fedora12 it's in libcurl-devel.]),[
-  AC_CACHE_CHECK([if libcurl has CURLOPT_USERNAME],
-                 [drizzle_cv_curl_have_username],[
-     AC_COMPILE_IFELSE([
-       AC_LANG_PROGRAM(
-         [[
-           CURL *handle;
-           handle=curl_easy_init();
-           rv= curl_easy_setopt(curl_handle, CURLOPT_USERNAME, "foo");
-         ]])],
-       [drizzle_cv_curl_have_username=yes],
-       [drizzle_cv_curl_have_username=no])])
-  AS_IF([test "x$drizzle_cv_curl_have_username" = "xyes"],
-        AC_DEFINE([HAVE_CURLOPT_USERNAME],[1],
-                  [Does libcurl provide the CURLOPT_USERNAME constant]))
-
-  ])
+  AC_MSG_WARN([libcurl not found: not building auth_http]))
+PANDORA_ADD_PLUGIN_DEP_LIB([${LIBCURL}])

